<?php
/**
 * The template part for displaying the site burger bottom navigation
 *
 * @package BoomBox_Theme
 * @since   2.0.0
 * @version 2.0.0
 */

// Prevent direct script access.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'No direct script access allowed' );
}

$template_date = Boombox_Template::get_data( 'burger_bottom', array() );
$template_date = wp_parse_args( $template_date, array(
	'menu_location' => 'burger_bottom_nav'
) );

if ( $template_date[ 'menu_location' ] && has_nav_menu( $template_date[ 'menu_location' ] ) ) { ?>
	<div class="more-menu-body">
		<span class="sections-header"><?php esc_html_e( 'sections', 'boombox' ) ?></span>
		<nav class="section-navigation">
			<?php
			wp_nav_menu( array(
				'theme_location' => $template_date[ 'menu_location' ],
				'menu_class'     => '',
				'depth'          => 1,
				'container'      => false,
			) ); ?>
		</nav>
	</div>
<?php }
Boombox_Template::reset_data( 'burger_bottom' );